> For the complete documentation index, see [llms.txt](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/llms.txt)

# Retrieve a List of Records

> GET /profiles/{profile_id}/pages/{page_id}/records



## Servers
- https://api.iformbuilder.com/exzact/api/v81/[servername]: https://api.iformbuilder.com/exzact/api/v81/[servername]


## Authentication methods
- Oauth2


## Parameters
### Headers

- **Authorization** (string)
  e.g. Bearer {access_token}


### Path parameters

- **profile_id** (string)
  id of the profile

- **page_id** (number)
  id of the page


### Query parameters

- **fields** (string)
  extra information of each record on the list

- **limit** (number)
  maximum count of the record list

- **offset** (number)
  skip that many record before beginning to return

- **validate_grammar** (string)
  returns an error for incorrect field grammar when set to true

- **all_fields** (boolean)
  will show all fields for each record

- **exclude** (string)
  will exclude specified fields

- **subform_order** (string)
  order of subform records.  Use 'asc' or 'desc'.



## Responses
### 200
OK
#### Headers

- **Total-Count** (string)
  number of records matching the request filters, ignoring `limit` and `offset`


#### Body: application/json (object)
- **id** (number)

- **parent_record_id** (number)

- **parent_page_id** (number)

- **parent_element_id** (number)

- **created_date** (string)

- **created_by: `demo_user`** (string)

- **created_location** (string)

- **created_device_id** (string)

- **modified_date** (string)

- **modified_by: `demo_user`** (string)

- **modified_location** (string)

- **modified_device_id** (string)

- **server_modified_date** (string)

- **javascript_state** (string)


### 400
Bad Request - `limit` or `offset` is not an integer.

#### Body: application/json (object)
- **error_message** (string)
  human-readable reason for the failure


### 404
Not Found - `page_id` does not exist or is not a page of `profile_id`.

#### Body: application/json (object)
- **error_message** (string)
  human-readable reason for the failure


### 500
Internal Server Error - the record count for `Total-Count` could not be read. The request fails rather than report a count of 0.

#### Body: application/json (object)
- **error_message** (string)
  human-readable reason for the failure



[Powered by Bump.sh](https://bump.sh)
